org.apache.http.benchmark

## Class Config

- java.lang.Object
- - org.apache.http.benchmark.Config

    public class Config
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Config()`

### Method Summary

Methods
`Config` `copy()`
`String` `getContentType()`
`String[]` `getHeaders()`
`String` `getIdentityStorePassword()`
`String` `getIdentityStorePath()`
`String` `getMethod()`
`File` `getPayloadFile()`
`String` `getPayloadText()`
`int` `getRequests()`
`String` `getSoapAction()`
`int` `getSocketTimeout()`
`int` `getThreads()`
`String` `getTrustStorePassword()`
`String` `getTrustStorePath()`
`URL` `getUrl()`
`int` `getVerbosity()`
`boolean` `isDisableSSLVerification()`
`boolean` `isHeadInsteadOfGet()`
`boolean` `isKeepAlive()`
`boolean` `isUseAcceptGZip()`
`boolean` `isUseChunking()`
`boolean` `isUseExpectContinue()`
`boolean` `isUseHttp1_0()`
`void` `setContentType(String contentType)`
`void` `setDisableSSLVerification(boolean disableSSLVerification)`
`void` `setHeaders(String[] headers)`
`void` `setHeadInsteadOfGet(boolean headInsteadOfGet)`
`void` `setIdentityStorePassword(String identityStorePassword)`
`void` `setIdentityStorePath(String identityStorePath)`
`void` `setKeepAlive(boolean keepAlive)`
`void` `setMethod(String method)`
`void` `setPayloadFile(File payloadFile)`
`void` `setPayloadText(String payloadText)`
`void` `setRequests(int requests)`
`void` `setSoapAction(String soapAction)`
`void` `setSocketTimeout(int socketTimeout)`
`void` `setThreads(int threads)`
`void` `setTrustStorePassword(String trustStorePassword)`
`void` `setTrustStorePath(String trustStorePath)`
`void` `setUrl(URL url)`
`void` `setUseAcceptGZip(boolean useAcceptGZip)`
`void` `setUseChunking(boolean useChunking)`
`void` `setUseExpectContinue(boolean useExpectContinue)`
`void` `setUseHttp1_0(boolean useHttp1_0)`
`void` `setVerbosity(int verbosity)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Config

    public Config()

### Method Detail

#### getUrl

    public URL getUrl()

#### setUrl

    public void setUrl(URL url)

#### getRequests

    public int getRequests()

#### setRequests

    public void setRequests(int requests)

#### getThreads

    public int getThreads()

#### setThreads

    public void setThreads(int threads)

#### isKeepAlive

    public boolean isKeepAlive()

#### setKeepAlive

    public void setKeepAlive(boolean keepAlive)

#### getVerbosity

    public int getVerbosity()

#### setVerbosity

    public void setVerbosity(int verbosity)

#### isHeadInsteadOfGet

    public boolean isHeadInsteadOfGet()

#### setHeadInsteadOfGet

    public void setHeadInsteadOfGet(boolean headInsteadOfGet)

#### isUseHttp1_0

    public boolean isUseHttp1_0()

#### setUseHttp1_0

    public void setUseHttp1_0(boolean useHttp1_0)

#### getPayloadFile

    public File getPayloadFile()

#### setPayloadFile

    public void setPayloadFile(File payloadFile)

#### getContentType

    public String getContentType()

#### setContentType

    public void setContentType(String contentType)

#### getHeaders

    public String[] getHeaders()

#### setHeaders

    public void setHeaders(String[] headers)

#### getSocketTimeout

    public int getSocketTimeout()

#### setSocketTimeout

    public void setSocketTimeout(int socketTimeout)

#### setMethod

    public void setMethod(String method)

#### setUseChunking

    public void setUseChunking(boolean useChunking)

#### setUseExpectContinue

    public void setUseExpectContinue(boolean useExpectContinue)

#### setUseAcceptGZip

    public void setUseAcceptGZip(boolean useAcceptGZip)

#### getMethod

    public String getMethod()

#### isUseChunking

    public boolean isUseChunking()

#### isUseExpectContinue

    public boolean isUseExpectContinue()

#### isUseAcceptGZip

    public boolean isUseAcceptGZip()

#### getPayloadText

    public String getPayloadText()

#### getSoapAction

    public String getSoapAction()

#### isDisableSSLVerification

    public boolean isDisableSSLVerification()

#### getTrustStorePath

    public String getTrustStorePath()

#### getIdentityStorePath

    public String getIdentityStorePath()

#### getTrustStorePassword

    public String getTrustStorePassword()

#### getIdentityStorePassword

    public String getIdentityStorePassword()

#### setPayloadText

    public void setPayloadText(String payloadText)

#### setSoapAction

    public void setSoapAction(String soapAction)

#### setDisableSSLVerification

    public void setDisableSSLVerification(boolean disableSSLVerification)

#### setTrustStorePath

    public void setTrustStorePath(String trustStorePath)

#### setIdentityStorePath

    public void setIdentityStorePath(String identityStorePath)

#### setTrustStorePassword

    public void setTrustStorePassword(String trustStorePassword)

#### setIdentityStorePassword

    public void setIdentityStorePassword(String identityStorePassword)

#### copy

    public Config copy()